import axios from '../../utils/axios';
import { stringToUrl } from '@/common/js/utils';

// 获取订单列表
export function getOrderList(params) {
  return axios.get(`/ORDER-SERVER/tOrder/pageOrder?${stringToUrl(params)}`);
}
// 获取商户下拉列表
export function getAdminList(params) {
    return axios.get(`/SZWL-SERVER/tAdmin/getAdminList?${stringToUrl(params)}`);
}
// 获取设备列表
export function getEquipmentList(params) {
    return axios.get(`/SZWL-SERVER/tEquipment/listEquipment?${stringToUrl(params)}`);
}
// 获取订单列表
export function getProductList(params) {
    return axios.get(`/SZWL-SERVER/tProduct/getProducts?${stringToUrl(params)}`);
}
// 退款
export function refundOrder(params) {
    return axios.post(`/SZWL-SERVER/tOrder/refund`, params);
}
// 订单列表-导出
export function Api_getOnlineExport(params) {
  return axios.get(`/ORDER-SERVER/tOrder/orderExport?${stringToUrl(params)}`,{responseType:'blob'});
}
